#!/bin/sh
#
# This is a stockfish20 startup file, it will create all neccessary settings
# in "$HOME"/.stockfish20 like copying the opening book, the ini-file for polyglot and setting the correct paths. 
# 
# This script was modified from a script originally written by Oliver Korff <ok@xynyx.de> 

NAME_OF_ENGINE=stockfish20
NAME_OF_BOOKFILE=Book.bin

if [ ! -d "$HOME"/.$NAME_OF_ENGINE ] ; then 
	mkdir -p "$HOME"/.$NAME_OF_ENGINE ; 
fi

if [ ! -e "$HOME"/.$NAME_OF_ENGINE/$NAME_OF_ENGINE.ini ] ; then 
	cp /usr/share/$NAME_OF_ENGINE/$NAME_OF_ENGINE.ini "$HOME"/.$NAME_OF_ENGINE/ 
	sed -i "s|/usr/share/$NAME_OF_ENGINE|"$HOME"/.$NAME_OF_ENGINE|g" "$HOME"/.$NAME_OF_ENGINE/$NAME_OF_ENGINE.ini
	sed -i "s|/tmp|"$HOME"/.$NAME_OF_ENGINE|g" "$HOME"/.$NAME_OF_ENGINE/$NAME_OF_ENGINE.ini ; 
fi

if [ ! -e "$HOME"/.$NAME_OF_ENGINE/$NAME_OF_BOOKFILE ] ; then
	cp /usr/share/$NAME_OF_ENGINE/$NAME_OF_BOOKFILE "$HOME"/.$NAME_OF_ENGINE/ ;
fi

/usr/bin/$NAME_OF_ENGINE.bin

exit 0
